Bug 1399613 - [RFE] Warn the user when there's only a single hosted-engine node available.
Summary: [RFE] Warn the user when there's only a single hosted-engine node available.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.0.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Martin Sivák
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 12:25 UTC by Gianluca Cecchi
Modified: 2017-11-22 11:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:58:59 UTC
oVirt Team: SLA
dfediuck: ovirt-4.2?
pbrilla: testing_plan_complete-
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Gianluca Cecchi 2016-11-29 12:25:41 UTC
Description of problem:
In 4.0.5 one can deploy a host with command line and also from within the gui.
If the gui option becomes the default and preferred way to deploy hosts in self hosted engine environments, I think it should be put in clearer shape that if you follow the default action you would not have high availability for the hosted engine vm.
Or changing the default action to "Deploy", or showing a popup if the hosted engine vm has only one host configured for it but there are other hosts in the cluster.
Default now is currently none:
https://drive.google.com/file/d/0BwoPbcrMv8mvME9CVGFRLTB0b0k/view?usp=sharing

Version-Release number of selected component (if applicable):
1.5.3

How reproducible:
always

Steps to Reproduce:
1. oVirt 4.0.5 with self hoste engine
2. deploy a host from the gui
3. by default the host IS NOT hosted engine enabled

Actual results:
If you follow default steps, you would not have HA for the self hosted engine...

Expected results:
The user should be proposed in deploy host steps that he/she has currently not HA for hosted engine VM if only one host inside the cluster is configured as Hosted Engine enabled

Additional info:

Comment 1 Doron Fediuck 2016-11-30 09:30:15 UTC
Thanks for reporting.
This is actually relevant even if you have more than a single host installed,
but for some reason only a single host is available. In both cases the user should be warned.

Comment 2 Gianluca Cecchi 2016-11-30 10:42:39 UTC
In ovirt manual page only the command line method is described to add more hosts:
https://www.ovirt.org/documentation/how-to/hosted-engine/
And I presume that indeed it will add a host as a self-hosted engine host.
But in ovirt users mailing list I understood that the web admin method will become the default one.
And in fact I see now that the official RHEV guide contains only that method and not the command line one:
https://access.redhat.com/documentation/en/red-hat-virtualization/4.0/paged/self-hosted-engine-guide/chapter-7-installing-additional-hosts-to-a-self-hosted-environment

Indeed the guide has the information that if you want HA for the engine VM you have to add more self-hosted engine hosts and that you have to select "Deploy" radio button.

My concern is that this could be overlooked and user could add many hosts being sure to already have HA for the engine VM when it is not true if he/she doesn't manually select "Deploy" option inside the relevant sub-tab.

What could be the cons of having "Deploy" as the default option?

Comment 3 Yaniv Lavi 2017-06-21 12:58:59 UTC
We have all in one use cases where we only have a single node with a single HE agent to conserve HW. Therefore I do not want to add this type of warning, it could be a valid arch.

Comment 4 Yedidyah Bar David 2017-06-21 13:08:55 UTC
(In reply to Yaniv Lavi from comment #3)
> We have all in one use cases where we only have a single node with a single
> HE agent to conserve HW.

Indeed, but:

> Therefore I do not want to add this type of
> warning, it could be a valid arch.

Not sure about that. In certain flows we do assume that there is more than one host, or that one host can be moved to maintenance, etc. - e.g. backup/restore.

Generally speaking, although hosted-engine on a single host does work, it's not our recommended setup. We used to have an allinone plugin that allowed running the engine directly on a host (not in a vm), and we still maintain it inside ovirt-live. It was removed in 4.0 iirc with the assumption that hosted-engine replaces it. I do not think it fully does, so far. There are also issues with NFS/iSCSI on same machine.

So if we want to fully support hosted-engine on a single host, we have some work to do. If we don't, might as well warn, suggesting to add more hosts.

Comment 5 Gianluca Cecchi 2017-06-21 13:30:24 UTC
Actually I had two points in my bug opening considerations:

1) configure Deploy as the default option
the user has to manually set it as non-hosted engine enabled 

2) in case 1) not accepted, at least warn the user if only one host is of kind hosted engine enabled.
I think you can issue a command that can get the number of hosts inside the cluster. In case this number > 1 than raise the warning, otherwise do nothing.

I prefer 1 warning more, than user disappointed when he/she thinks to have hosted-engine VM high available by default, but indeed this is not true and the acknowledge is gotten via downtime...

Comment 6 Yaniv Lavi 2017-06-26 19:33:50 UTC
(In reply to Yedidyah Bar David from comment #4)
> 
> Generally speaking, although hosted-engine on a single host does work, it's
> not our recommended setup. We used to have an allinone plugin that allowed
> running the engine directly on a host (not in a vm), and we still maintain
> it inside ovirt-live. It was removed in 4.0 iirc with the assumption that
> hosted-engine replaces it. I do not think it fully does, so far. There are
> also issues with NFS/iSCSI on same machine.
> 

The use case is with Gluster exposing the local storage.


(In reply to Gianluca Cecchi from comment #5)
> 
> I prefer 1 warning more, than user disappointed when he/she thinks to have
> hosted-engine VM high available by default, but indeed this is not true and
> the acknowledge is gotten via downtime...

We added a mark for the HE hosts in the UI. You should be able to see there only one host. 
Again a warning means something is wrong, but in some cases, it's not.
In any case deploying the HE host is a day one operation, so I don't expect the user to only deploy one by mistake.


Note You need to log in before you can comment on or make changes to this bug.